Index: cpukit/ChangeLog
===================================================================
--- cpukit/ChangeLog	(revision 5f6618e7d024348dbb7518a4dc7b2df61109f74b)
+++ cpukit/ChangeLog	(revision c9165ef0854d059f69d20a22c74384f827c472cb)
@@ -1,2 +1,9 @@
+2005-01-07	Ralf Corsepius <ralf.corsepius@rtems.org>
+
+	* librpc/include/rpc/xdr.h: Remove questionable comments.
+	* librpc/include/rpc/auth.h: Remove __P, ansi-fy.
+	* librpc/src/rpc/auth_none.c: Reflect changes above.
+	Partial update from FreeBSD.
+
 2005-01-07	Ralf Corsepius <ralf.corsepius@rtems.org>
 
Index: cpukit/librpc/include/rpc/auth.h
===================================================================
--- cpukit/librpc/include/rpc/auth.h	(revision 5f6618e7d024348dbb7518a4dc7b2df61109f74b)
+++ cpukit/librpc/include/rpc/auth.h	(revision c9165ef0854d059f69d20a22c74384f827c472cb)
@@ -79,5 +79,5 @@
 typedef union des_block des_block;
 __BEGIN_DECLS
-extern bool_t xdr_des_block __P((XDR *, des_block *));
+extern bool_t xdr_des_block (XDR *, des_block *);
 __END_DECLS
 
@@ -91,5 +91,5 @@
 };
 __BEGIN_DECLS
-bool_t xdr_opaque_auth __P((XDR *xdrs, struct opaque_auth *ap));
+bool_t xdr_opaque_auth (XDR *xdrs, struct opaque_auth *ap);
 __END_DECLS
 
@@ -103,14 +103,14 @@
 	union	des_block	ah_key;
 	struct auth_ops {
-		void	(*ah_nextverf) __P((struct __rpc_auth *));
+		void	(*ah_nextverf) (struct __rpc_auth *);
 		/* nextverf & serialize */
-		int	(*ah_marshal) __P((struct __rpc_auth *, XDR *));
+		int	(*ah_marshal) (struct __rpc_auth *, XDR *);
 		/* validate verifier */
-		int	(*ah_validate) __P((struct __rpc_auth *,
-				struct opaque_auth *));
+		int	(*ah_validate) (struct __rpc_auth *,
+				struct opaque_auth *);
 		/* refresh credentials */
-		int	(*ah_refresh) __P((struct __rpc_auth *));
+		int	(*ah_refresh) (struct __rpc_auth *);
 		/* destroy this structure */
-		void	(*ah_destroy) __P((struct __rpc_auth *));
+		void	(*ah_destroy) (struct __rpc_auth *);
 	} *ah_ops;
 	caddr_t ah_private;
@@ -169,7 +169,7 @@
 __BEGIN_DECLS
 struct sockaddr_in;
-extern AUTH *authunix_create		__P((char *, int, int, int, int *));
-extern AUTH *authunix_create_default	__P((void));
-extern AUTH *authnone_create		__P((void));
+extern AUTH *authunix_create		(char *, int, int, int, int *);
+extern AUTH *authunix_create_default	(void);
+extern AUTH *authnone_create		(void);
 __END_DECLS
 
@@ -187,5 +187,5 @@
  */
 __BEGIN_DECLS
-extern AUTH *authdes_create __P(( char *, u_int, struct sockaddr *, des_block * ));
+extern AUTH *authdes_create ( char *, u_int, struct sockaddr *, des_block * );
 #ifdef NOTYET
 /*
@@ -195,7 +195,7 @@
  * code prototypes this routine internally.
  */
-extern AUTH *authdes_pk_create __P(( char *, netobj *, u_int,
+extern AUTH *authdes_pk_create ( char *, netobj *, u_int,
 				     struct sockaddr *, des_block *,
-				     nis_server * ));
+				     nis_server * );
 #endif
 __END_DECLS
@@ -205,10 +205,10 @@
  */
 __BEGIN_DECLS
-extern int netname2user __P(( char *, uid_t *, gid_t *, int *, gid_t *));
-extern int netname2host __P(( char *, char *, int ));
-extern int getnetname __P(( char * ));
-extern int user2netname __P(( char *, uid_t, char * ));
-extern int host2netname __P(( char *, char *, char * ));
-extern void passwd2des __P(( char *, char * ));
+extern int netname2user ( char *, uid_t *, gid_t *, int *, gid_t *);
+extern int netname2host ( char *, char *, int );
+extern int getnetname ( char * );
+extern int user2netname ( char *, uid_t, char * );
+extern int host2netname ( char *, char *, char * );
+extern void passwd2des ( char *, char * );
 __END_DECLS
 
@@ -230,13 +230,13 @@
 
 __BEGIN_DECLS
-extern int key_decryptsession __P(( const char *, des_block * ));
-extern int key_decryptsession_pk __P(( char *, netobj *, des_block * ));
-extern int key_encryptsession __P(( const char *, des_block * ));
-extern int key_encryptsession_pk __P(( char *, netobj *, des_block * ));
-extern int key_gendes __P(( des_block * ));
-extern int key_setsecret __P(( const char * ));
-extern int key_secretkey_is_set __P(( void ));
-extern int key_setnet __P(( struct netstarg * ));
-extern int key_get_conv __P(( char *, des_block * ));
+extern int key_decryptsession ( const char *, des_block * );
+extern int key_decryptsession_pk ( char *, netobj *, des_block * );
+extern int key_encryptsession ( const char *, des_block * );
+extern int key_encryptsession_pk ( char *, netobj *, des_block * );
+extern int key_gendes ( des_block * );
+extern int key_setsecret ( const char * );
+extern int key_secretkey_is_set ( void );
+extern int key_setnet ( struct netstarg * );
+extern int key_get_conv ( char *, des_block * );
 __END_DECLS
 
@@ -245,7 +245,7 @@
  */
 __BEGIN_DECLS
-extern int getpublickey __P(( char *, char * ));
-extern int getpublicandprivatekey __P(( char *, char * ));
-extern int getsecretkey __P(( char *, char *, char * ));
+extern int getpublickey ( char *, char * );
+extern int getpublicandprivatekey ( char *, char * );
+extern int getsecretkey ( char *, char *, char * );
 __END_DECLS
 
Index: cpukit/librpc/include/rpc/xdr.h
===================================================================
--- cpukit/librpc/include/rpc/xdr.h	(revision 5f6618e7d024348dbb7518a4dc7b2df61109f74b)
+++ cpukit/librpc/include/rpc/xdr.h	(revision c9165ef0854d059f69d20a22c74384f827c472cb)
@@ -130,12 +130,5 @@
  * allocate dynamic storage of the appropriate size and return it.
  */
-#if 0 /* RTEMS has no kernel/user distinction */
-typedef	bool_t (*xdrproc_t) (XDR *, void *, u_int);
-#else
-/*
- * XXX can't actually prototype it, because some take two args!!!
- */
 typedef	bool_t (*xdrproc_t) (XDR *, void *, ...);
-#endif
 
 /*
Index: cpukit/librpc/src/rpc/auth_none.c
===================================================================
--- cpukit/librpc/src/rpc/auth_none.c	(revision 5f6618e7d024348dbb7518a4dc7b2df61109f74b)
+++ cpukit/librpc/src/rpc/auth_none.c	(revision c9165ef0854d059f69d20a22c74384f827c472cb)
@@ -46,14 +46,14 @@
 #include <rpc/xdr.h>
 #include <rpc/auth.h>
-#define MAX_MARSHEL_SIZE 20
+#define MAX_MARSHAL_SIZE 20
 
 /*
  * Authenticator operations routines
  */
-static void	authnone_verf();
-static void	authnone_destroy();
-static bool_t	authnone_marshal();
-static bool_t	authnone_validate();
-static bool_t	authnone_refresh();
+static void	authnone_verf(AUTH*);
+static void	authnone_destroy(AUTH*);
+static bool_t	authnone_marshal(AUTH*, XDR*);
+static bool_t	authnone_validate(AUTH*, struct opaque_auth *);
+static bool_t	authnone_refresh(AUTH*);
 
 static struct auth_ops ops = {
@@ -67,5 +67,5 @@
 static struct authnone_private {
 	AUTH	no_client;
-	char	marshalled_client[MAX_MARSHEL_SIZE];
+	char	marshalled_client[MAX_MARSHAL_SIZE];
 	u_int	mcnt;
 } *authnone_private;
@@ -74,7 +74,7 @@
 authnone_create()
 {
-	register struct authnone_private *ap = authnone_private;
+	struct authnone_private *ap = authnone_private;
 	XDR xdr_stream;
-	register XDR *xdrs;
+	XDR *xdrs;
 
 	if (ap == 0) {
@@ -88,5 +88,5 @@
 		ap->no_client.ah_ops = &ops;
 		xdrs = &xdr_stream;
-		xdrmem_create(xdrs, ap->marshalled_client, (u_int)MAX_MARSHEL_SIZE,
+		xdrmem_create(xdrs, ap->marshalled_client, (u_int)MAX_MARSHAL_SIZE,
 		    XDR_ENCODE);
 		(void)xdr_opaque_auth(xdrs, &ap->no_client.ah_cred);
@@ -100,9 +100,7 @@
 /*ARGSUSED*/
 static bool_t
-authnone_marshal(client, xdrs)
-	AUTH *client;
-	XDR *xdrs;
+authnone_marshal(AUTH *client, XDR *xdrs)
 {
-	register struct authnone_private *ap = authnone_private;
+	struct authnone_private *ap = authnone_private;
 
 	if (ap == 0)
@@ -113,10 +111,10 @@
 
 static void
-authnone_verf()
+authnone_verf(AUTH *client)
 {
 }
 
 static bool_t
-authnone_validate()
+authnone_validate(AUTH *client, struct opaque_auth *opaque)
 {
 
@@ -125,5 +123,5 @@
 
 static bool_t
-authnone_refresh()
+authnone_refresh(AUTH *client)
 {
 
@@ -132,5 +130,5 @@
 
 static void
-authnone_destroy()
+authnone_destroy(AUTH *client)
 {
 }
